import { BaseEndpoint } from './base';
import { AlternativeTitles, ChangeOptions, Credits, ExternalIds, Images, Keywords, LatestMovie, MovieChanges, MovieDetails, MovieLists, MoviesPlayingNow, PopularMovies, Recommendations, ReleaseDates, Reviews, SimilarMovies, TopRatedMovies, Translations, UpcomingMovies, Videos, WatchProviders } from '../types';
export declare class MoviesEndpoint extends BaseEndpoint {
    protected readonly accessToken: string;
    constructor(accessToken: string);
    details(id: number): Promise<MovieDetails>;
    alternativeTitles(id: number): Promise<AlternativeTitles>;
    changes(id: number, options?: ChangeOptions): Promise<MovieChanges>;
    credits(id: number): Promise<Credits>;
    externalIds(id: number): Promise<ExternalIds>;
    images(id: number): Promise<Images>;
    keywords(id: number): Promise<Keywords>;
    lists(id: number, options?: {
        page?: number;
    }): Promise<MovieLists>;
    recommendations(id: number, options?: {
        page?: number;
    }): Promise<Recommendations>;
    releaseDates(id: number): Promise<ReleaseDates>;
    reviews(id: number, options?: {
        page?: number;
    }): Promise<Reviews>;
    similar(id: number, options?: {
        page?: number;
    }): Promise<SimilarMovies>;
    translations(id: number): Promise<Translations>;
    videos(id: number): Promise<Videos>;
    /**
     * Powered by JustWatch
     * @param id
     */
    watchProviders(id: number): Promise<WatchProviders>;
    latest(): Promise<LatestMovie>;
    nowPlaying(options?: {
        page?: number;
        region?: string;
        language?: string;
    }): Promise<MoviesPlayingNow>;
    popular(options?: {
        page?: number;
    }): Promise<PopularMovies>;
    topRated(options?: {
        page?: number;
        region?: string;
        language?: string;
    }): Promise<TopRatedMovies>;
    upcoming(options?: {
        page?: number;
        region?: string;
        language?: string;
    }): Promise<UpcomingMovies>;
}
