"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MoviesEndpoint = void 0;
const base_1 = require("./base");
const querystring_1 = __importDefault(require("querystring"));
const BASE_MOVIE = '/movie';
class MoviesEndpoint extends base_1.BaseEndpoint {
    constructor(accessToken) {
        super(accessToken);
        this.accessToken = accessToken;
    }
    async details(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}`);
    }
    async alternativeTitles(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/alternative_titles`);
    }
    async changes(id, options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/${id}/changes?${params}`);
    }
    async credits(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/credits`);
    }
    async externalIds(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/external_ids`);
    }
    async images(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/images`);
    }
    async keywords(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/keywords`);
    }
    async lists(id, options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/${id}/lists?${params}`);
    }
    async recommendations(id, options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/${id}/recommendations?${params}`);
    }
    async releaseDates(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/release_dates`);
    }
    async reviews(id, options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/${id}/reviews?${params}`);
    }
    async similar(id, options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/${id}/similar?${params}`);
    }
    async translations(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/translations`);
    }
    async videos(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/videos`);
    }
    /**
     * Powered by JustWatch
     * @param id
     */
    async watchProviders(id) {
        return await this.api.get(`${BASE_MOVIE}/${id}/watch/providers`);
    }
    async latest() {
        return await this.api.get(`${BASE_MOVIE}/latest`);
    }
    async nowPlaying(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/now_playing?${params}`);
    }
    async popular(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/popular?${params}`);
    }
    async topRated(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/top_rated?${params}`);
    }
    async upcoming(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_MOVIE}/upcoming?${params}`);
    }
}
exports.MoviesEndpoint = MoviesEndpoint;
//# sourceMappingURL=movies.js.map