"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchEndpoint = void 0;
const base_1 = require("./base");
const querystring_1 = __importDefault(require("querystring"));
const BASE_SEARCH = '/search';
class SearchEndpoint extends base_1.BaseEndpoint {
    constructor(accessToken) {
        super(accessToken);
        this.accessToken = accessToken;
    }
    async companies(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/company?${params}`);
    }
    async collections(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/collection?${params}`);
    }
    async keywords(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/keyword?${params}`);
    }
    async movies(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/movie?${params}`);
    }
    async people(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/person?${params}`);
    }
    // TODO: Multi search
    async tvShows(options) {
        const params = querystring_1.default.encode(options);
        return await this.api.get(`${BASE_SEARCH}/tv?${params}`);
    }
}
exports.SearchEndpoint = SearchEndpoint;
//# sourceMappingURL=search.js.map