import { BaseEndpoint } from './base';
import { AlternativeTitles, ChangeOptions, ContentRatings, Credits, EpisodeGroups, ExternalIds, Images, Keywords, LatestTvShows, OnTheAir, PopularTvShows, Recommendations, Reviews, ScreenedTheatrically, SimilarTvShows, TopRatedTvShows, Translations, TvShowChanges, TvShowDetails, TvShowsAiringToday, Videos, WatchProviders } from '../types';
export declare class TvShowsEndpoint extends BaseEndpoint {
    protected readonly accessToken: string;
    constructor(accessToken: string);
    details(id: number): Promise<TvShowDetails>;
    alternativeTitles(id: number): Promise<AlternativeTitles>;
    changes(id: number, options?: ChangeOptions): Promise<TvShowChanges>;
    contentRatings(id: number): Promise<ContentRatings>;
    credits(id: number): Promise<Credits>;
    episodeGroups(id: number): Promise<EpisodeGroups>;
    externalIds(id: number): Promise<ExternalIds>;
    images(id: number): Promise<Images>;
    keywords(id: number): Promise<Keywords>;
    recommendations(id: number, options?: {
        page?: number;
    }): Promise<Recommendations>;
    reviews(id: number, options?: {
        page?: number;
    }): Promise<Reviews>;
    screenedTheatrically(id: number): Promise<ScreenedTheatrically>;
    similar(id: number, options?: {
        page?: number;
    }): Promise<SimilarTvShows>;
    translations(id: number): Promise<Translations>;
    videos(id: number): Promise<Videos>;
    /**
       * Powered by JustWatch
       * @param id
       */
    watchProviders(id: number): Promise<WatchProviders>;
    latest(): Promise<LatestTvShows>;
    onTheAir(): Promise<OnTheAir>;
    airingToday(options?: {
        page?: number;
        region?: string;
        language?: string;
    }): Promise<TvShowsAiringToday>;
    popular(options?: {
        page?: number;
    }): Promise<PopularTvShows>;
    topRated(options?: {
        page?: number;
        region?: string;
        language?: string;
    }): Promise<TopRatedTvShows>;
}
