"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const endpoints_1 = require("./endpoints");
class TMDB {
    constructor(accessToken) {
        this.accessToken = accessToken;
    }
    get account() {
        return new endpoints_1.AccountEndpoint(this.accessToken);
    }
    get configuration() {
        return new endpoints_1.ConfigurationEndpoint(this.accessToken);
    }
    get certifications() {
        return new endpoints_1.CertificationEndpoint(this.accessToken);
    }
    get changes() {
        return new endpoints_1.ChangeEndpoint(this.accessToken);
    }
    get credits() {
        return new endpoints_1.CreditsEndpoint(this.accessToken);
    }
    get search() {
        return new endpoints_1.SearchEndpoint(this.accessToken);
    }
    get genres() {
        return new endpoints_1.GenreEndpoint(this.accessToken);
    }
    get movies() {
        return new endpoints_1.MoviesEndpoint(this.accessToken);
    }
    get tvShows() {
        return new endpoints_1.TvShowsEndpoint(this.accessToken);
    }
}
exports.default = TMDB;
//# sourceMappingURL=tmdb.js.map